<?php
if ( !class_exists( 'Goldstar_API' ) ) {

	class Goldstar_API {

		public static $category_link  = "https://www.goldstar.com/api/categories.json";
		public static $territory_link = "https://www.goldstar.com/api/territories.json";
		public static $feed_link      = "https://www.goldstar.com/api/listings.xml";

		public function init() {
			
		}

		public static function isValidAPI($api_key) {
			throw new Exception('Not implement');
		}

		/**
		 * Call api and return all categories belong this api_key
		 * 
		 * <example>
		 *  array(1 => array('id' => '', 'name' => '') ... )
		 * </example>
		 * 
		 * @param type $api_key
		 */
		public static function getCategories($api_key, $is_raw = false) {
			$url      = self::$category_link . '?api_key=' . urlencode($api_key);

			try{
				$str_data = Goldstar_Common::request($url);
			}
			catch(Exception $e) {
				if($is_raw) {
					return '{}';
				}

				return array();
			}


			if ($is_raw)
				return $str_data;

			$arr_data = json_decode($str_data, true);
			return $arr_data;
		}

		/**
		 * Call api to return territory of specific api
		 * 
		 * <example>
		 * array( 1=> array( 'id' =>'', 'name' =>'', 'slug' => '', 'initials' => '', 'timezone ' => '') ... )
		 * </example>
		 * 
		 * @param type $api_key
		 * @return type
		 */
		public static function getTerritories($api_key, $is_raw = false) {
			$url      = self::$territory_link . '?api_key=' . urlencode($api_key);
			try{
				$str_data = Goldstar_Common::request($url);
			}
			catch(Exception $e) {
				if($is_raw)
					return '{}';
				return array();
			}

			if ($is_raw)
				return $str_data;

			$arr_data = json_decode($str_data, true);

			return $arr_data;
		}

	}

}