
<?php

// Get goldstar slug
$territory = get_option('goldstar_territory', false);
$territorySlug = $territory ? $territory['slug'] : '';

$numShowDate = 3;

$arr_filter = array( 'page' => 1, 'plugin_territory_id' => $plugin_territory_id, 'style' => $style );

if ( !empty( $arr_datas ) ) :
	foreach ( $arr_datas as $child ) :
		// Offer dates
		$date_array = array();
		$x = 0;
		
		foreach ( $child->upcoming_dates->children() as $event_date ) {

			$date_array[$x] = date("l, F d", strtotime($event_date->date));
			$x++;
		}

		$offer_dates_summary = '';

		if ( count( $date_array ) > $numShowDate ) {
			$date_array_summary = array_slice( $date_array, 0, $numShowDate );
			$offer_dates_summary = implode( "<br/>", $date_array_summary );
		}

		$offer_dates_full = implode( "<br/>", $date_array );

		// Link
		$link = (string)$child->link;

		// Headline as text
		$headline_as_text = (string)$child->headline_as_text;

		// Venue name
		$venue_name = (string)$child->venue->name;

		// Venue address
		$venue_address = (string)$child->venue->address->locality;

		// Categories
		$categories = array();
		foreach ( $child->category_list->children() as $cat ) {
			$categories[] = (string)$cat->name;
		}

		/// Image
		$image = (string)$child->image;
		$image = trim($image);
		if ( $image !== "" ) {
			// 3264 - issue
			$default_width = 480;
			$default_height = 270;

			if ( preg_match('/\?([^=]+)=/', $image ) ) {
				$image = $image . '&w=' . $default_width . '&h=' . $default_height . '&c=1';
			}
			else {
				$image = $image . '?w=' . $default_width . '&h=' . $default_height . '&c=1';
			}
		}



		// Summary
		$summary = (string)$child->summary_as_text;

		$summary_short = substr($summary, 0, 200).'...';

		// Full price
		$full_price = (string)$child->full_price_range;

		// Out price range
		$our_price = (string)$child->our_price_range;
	?>
<div class="eli_wrap goldstar-frontend col-1 style-<?php echo $style; ?>" data-width="">
	<div class="eli_list" id="goldstar-list-feed">
		<div class="eli_row">
			<div class="eli_row-body">
				<div class="eli_row-main">
					<?php if ( $image !== "" ) : ?>
						<a target="_blank" href="<?php echo $link ?>" class="eli_img_a eli_a"><img src="<?php echo $image ?>" class="eli_img" /></a>
					<?php endif ?>

					<div class="eli_information">
						<div class="eli_information-inner">
							<div class="eli_information-left">
								<h4 class="eli_title">
									<a class="eli_a" target="_blank" href="<?php echo $link ?>"><?php echo $headline_as_text ?></a>
								</h4>

								<span class="eli_address">
									<?php echo $venue_name.', '.$venue_address ?>
								</span>

								<?php if ( $arr_filter['style'] == 1 ) : ?>
									<?php if ( $date_array ) : ?>
										<div class="eli_offer-date eli_clear">
											<?php if ( count( $date_array ) > 1 ) : ?>
												<?php echo $date_array[0]; ?> - <?php echo $date_array[ ( count( $date_array ) - 1 ) ]; ?>
											<?php else : ?>
												<?php echo $date_array[0]; ?>
											<?php endif; ?>
										</div>
									<?php endif; ?>

									<?php if ( $categories ) : ?>
										<ul class="eli_categories">
											<?php foreach ( $categories as $category ) : ?>
												<li><?php echo $category; ?></li>
											<?php endforeach; ?>
										</ul>
									<?php endif; ?>
								<?php endif; ?>
							</div>

						</div>
					</div> <!--#information -->

				</div>

				<?php if ( $arr_filter['style'] == 1 ) : ?>
					<div class="eli_summary">
						<p class="eli_summary-short eli_p">
							<?php echo $summary_short ?>
							<a href="<?php print $link; ?>" class="eli_expand-summary eli_a">Read more</a>
						</p>
					</div>
				<?php endif; ?>
			</div>

			<div class="eli_footer">
				<div class="eli_price-container">
					<?php if ( !empty( $our_price ) ) : ?>
					<div class="eli_our-price eli_clear">
						<span class="eli_our-price-content">
							<?php echo $our_price ?>
						</span>
					</div>
					<?php endif; ?>

					<?php if ( !empty( $full_price ) && $our_price != 'Sold Out' ) : ?>
					<div class="eli_full-price eli_clear">
						<span class="eli_full-price-content">
							<s><?php echo $full_price ?></s>
						</span>
					</div>
					<?php endif; ?>
				</div>

				<?php $link .= '&aff_sub2=wp_listings&creative=wp_event_card'; ?>

				<div class="eli_button-container">
					<?php if ( $our_price != 'Sold Out' ) : ?>
					<a target="_blank" href="<?php print $link ?>" class="eli_button eli_large">
						<span class="eli_span">
							<?php echo $arr_filter['style'] == 3 ? 'Select Tickets on Goldstar' : 'Buy on Goldstar'; ?>
						</span>
					</a>
					<?php endif; ?>
				</div>
			</div>

			<div style="clear:both"></div>
		</div><!-- #end eli_row -->
		<?php endforeach; ?>
	</div>
</div>

<?php else: ?>

	Data not found!

<?php endif; ?>
