<?php

/**
 * This file is part of the Golstar Plugin.
 *
 * (c) tuannq@elinext.com <http://elinext.com>
 *
 * This source file is subject to the elinext.com license that is bundled
 * with this source code in the file LICENSE.
 */

$goldstar_price = array(
    'free' => "Free",
    '<10' => "Under $10",
    '10-25' => "$10-$25",
    '25-50' => "$25-$50",
    '50-100' => "$50-$100",
    '>100'  => "Over $100"
);
?>
<div class="eli_wrap goldstar-frontend col-<?php echo $col; ?> style-<?php echo $style; ?>" data-width="">
    <div class="eli_wrap-inner">

        <div class="eli_produce-wrap">
            <div class="eli_produce-wrap-inner">
                <?php if ( ! empty( $goldstar_title ) ) : ?>
                    <h2 class="eli_h2"><?php echo $goldstar_title ?></h2>
                <?php endif; ?>

                <?php /* if ( isset( $goldstar_affiliate_id ) && $goldstar_affiliate_ads == 1 ) : ?>
                    <div class="eli_content">
                        <iframe src="https://tracking.goldstar.com/aff_ad?campaign_id=4&aff_sub2=wp_display&aff_id=<?php echo $goldstar_affiliate_id; ?>&format=iframe" scrolling="no" frameborder="0" marginheight="0" marginwidth="0" width="800" height="800"></iframe>
                    </div>
                <?php endif; */ ?>
            </div>
        </div>

        <?php if ( ! isset( $goldstar_powered_by ) || $goldstar_powered_by == 1 ) : ?>
        <div class="eli_powered-by">
            <span>Powered by</span> <img src="<?php echo plugin_dir_url( __FILE__ ); ?>img/logo.svg" />
        </div>
        <?php endif; ?>
        
        <div class="eli_content-can-filter">
        <div class="eli_content-can-filter-inner">
            
        
        <div class="eli_content">
            <div class="eli_content-inner">
                <?php if ( $goldstar_filter_date == 1 || $goldstar_filter_location == 1 || $goldstar_filter_price == 1 ) : ?>
                <div class="eli_filter">
                    <div class="eli_filter-inner">
                            <?php if ( $goldstar_filter_date == 1 ) : ?>
                            <div class="eli_date-filter eli_filter-item">
                                <div class="eli_date-filter-from-to">
                                    <div class="eli_date-filter-from-wrapper">
                                        <input type="text" name="from_date" placeholder="Start date" class="eli_from-date eli_input" id="filter-from-date" />
                                    </div>
                                    <div class="eli_date-filter-to-wrapper">
                                        <input type="text" name="to_date" placeholder="End date" class="eli_end-date eli_input" id="filter-to-date"/>
                                    </div>
                                </div>
                                <div class="eli_date-util">
                                    <a href="javascript:void(0);" id="choice-today" 
                                       data-date-from="<?php echo date("Y-m-d", time()) ?>"
                                       data-date-to="<?php echo date("Y-m-d", time()) ?>"
                                       class="eli_a">Today</a>
                                    <a href="javascript:void(0);" id="choice-tomorrow"
                                       data-date-from="<?php echo date("Y-m-d", strtotime("+1 day")) ?>"
                                       data-date-to="<?php echo date("Y-m-d", strtotime("+1 day")) ?>"
                                       class="eli_a">Tomorrow</a>
                                    <a href="javascript:void(0);" id="choice-weekend"
                                       data-date-from="<?php echo date("Y-m-d", strtotime("next Saturday")) ?>"
                                       data-date-to="<?php echo date("Y-m-d", strtotime("next Sunday")) ?>"
                                       class="eli_a">This Weekend</a>
                                </div>
                            </div>
                            <?php endif; ?>
                        
                            <?php if ( !empty( $goldstar_category ) ) : ?>
                            <div class="eli_ctn_select eli_category-filter eli_filter-item">
                                <select name="category" class="eli_select" placeholder="Category" id="filter-by-category">
                                    <option value=""> Category </option>
                                    <?php foreach( $goldstar_category as $cate ) : ?>
                                        <option value="<?php echo $cate ?>"> <?php echo $cate ?> </option>
                                    <?php endforeach; ?>
                                </select>
                                <span class="eli_hide_select"></span>
                            </div>
                            <?php endif; ?>
                            
                            <?php if ( $goldstar_filter_location == 1 ) : ?>
                            <div class="eli_ctn_select eli_location-filter eli_filter-item">
                                <select name="location" class="eli_select" placeholder="Location" id="filter-by-location">
                                    <option value=""> Location </option>
                                    <?php foreach(${"goldstar_location_$plugin_territory_id"} as $location): ?>
                                        <option value="<?php echo $location ?>"> <?php echo $location ?> </option>
                                    <?php endforeach; ?>
                                </select>
                                <span class="eli_hide_select"></span>
                            </div>
                            <?php endif; ?>
                            
                            <?php if ( $goldstar_filter_price == 1 ) : ?>
                            <div class="eli_ctn_select eli_price-filter eli_filter-item">
                                <select name="price" placeholder="Price" class="eli_select"  id="filter-by-price">
                                    <option value=""> Price </option>
                                    
                                    <?php foreach ( $goldstar_price as $index => $price ) : ?>
                                        <option value="<?php echo $index ?>"> <?php echo $price ?> </option>
                                    <?php endforeach; ?>
                                </select>
                                <span class="eli_hide_select"></span>
                            </div>
                            <?php endif; ?>
                        <div style="clear:both" ></div>
                    </div>
                </div><!-- #end filter -->
                <?php endif; ?>
                <div class="eli_list" id="goldstar-list-feed">
                    
                    <?php
                    $goldstar_options['category'] = isset($goldstar_options['category']) ? $goldstar_options['category'] : array();
                    $arr_events = Goldstar_Shortcode::get_list_events_data(array('page' => 1, 'plugin_territory_id' => $plugin_territory_id, 'category' => $goldstar_options['category']));
                    $total_event = count($arr_events);
                    
                    $html = Goldstar_Shortcode::get_html_list_events( $arr_events, array( 'page' => 1, 'plugin_territory_id' => $plugin_territory_id, 'style' => $style ) );
                    echo $html;
                    ?>
                </div>
                <div class="eli_pagination" id="goldstar_pagination">
                </div>
                
                <script type="text/javascript">
                        /* Pass this value to pagination. Remember the goldstar.js must after jquery */
                        var goldstar_paging = goldstar_paging || {};
                        goldstar_paging.total_event = <?php echo $total_event; ?>;
                        goldstar_paging.page_size = <?php echo Goldstar_Shortcode::$page_size ?>;
                        
                        var goldstar_extrainfo = goldstar_extrainfo || {};
                        goldstar_extrainfo.plugin_territory_id = '<?php echo $plugin_territory_id ?>';
                </script>
                
            </div>
        </div>
        </div><!-- #content-can-filter-inner-->
    </div><!-- #content-can-filter-->
    </div>
</div><!-- #wrap -->