<?php

/**
 * @package Goldstar plugin
 * @version 2.1.1
 */
/*
  Plugin Name: Goldstar
  Plugin URI: https://wordpress.org/plugins/goldstar/
  Description: This plugin will provide a list of discount ticket offers from goldstar.com
  Author: Goldstar
  Author URI: www.goldstar.com
  Version: 2.1.1
 */

/* Some event will fire the first when active or deactive plugin */

// Set some default value when active plugin
function goldstar_active() {
    /* Also use: 
     * - location_{territory_id}
     * - category
     * - Just create options if it do not exits yet!
     */
    if(get_option('goldstar_options', false) === false) {
        update_option('goldstar_options', array(
            'title',
            'api_key' => '',
            'territory_id' => '',
            'affiliate_id' => '',
            'settings_display_color' => '#005f93',
            'settings_display_order' => 'START-DATE-ASC',
            'filter_date' => '1',
            'filter_location' => '1',
            'filter_price' => '1',
            'api_valid' => '0',
            'content' => '',
            'list_territory_id' => '',
            'goldstar_slug' => '',
            'teaser_widget_logo_url' => '',
            'teaser_widget_logo_position' => '',
            'teaser_widget_logo_link_to' => '',
        ));
    }
}
register_activation_hook(__FILE__, 'goldstar_active');

// Delete options variable when deactive plugin
function goldstar_deactive() {
    // Do nothing
}
register_deactivation_hook(__FILE__, 'goldstar_deactive');

register_uninstall_hook(__FILE__, 'goldstar_uninstall_plugin');

function goldstar_uninstall_plugin() {
    delete_option('goldstar_options');
}

/*//*/
require_once(__DIR__. '/widgets/event/event.php');
require_once(__DIR__. '/widgets/category/category.php');
require_once(__DIR__. '/widgets/teaser/teaser.php');

if (is_admin()) {
    require_once dirname(__FILE__) . '/admin/admin.php';

    /* Active settings link */

    function goldstar_add_settings_link($links) {
        $settings_link = '<a href="options-general.php?page=admin-goldstar">Settings</a>';
        array_push($links, $settings_link);
        return $links;
    }

    $plugin = plugin_basename(__FILE__);
    add_filter("plugin_action_links_$plugin", 'goldstar_add_settings_link', 10);

    /* // */
}

/* Some function at admin.php use this file.
 * This file will always loaded!!
 *  */
require_once dirname(__FILE__) . '/frontend.php';
require_once dirname(__FILE__) . '/classes/class-goldstar-api.php';
require_once dirname(__FILE__) . '/classes/class-goldstar-common.php';

class Goldstar_Feature_Event_Page {
    public static  function init() {
        add_action('admin_init', array(__CLASS__, 'queue_javascript_css'));
    }

    public static function queue_javascript_css()
    {
        // script
        wp_enqueue_script('jquery-datatable', plugins_url('goldstar/js/jquery.dataTables.js'), array('jquery'), '1.9.4', true);

        // css
        wp_enqueue_style('jquery-datatable', plugins_url('goldstar/css/jquery.dataTables.css'));
    }
    public static function getFeatureEvents() {
        return get_option('goldstar_featured_events');
    }
}

if(is_admin() && isset($_REQUEST['page']) && $_REQUEST['page'] === 'goldstar-featured-events') {
    Goldstar_Feature_Event_Page::init();
}