<?php

class Goldstar_Category_Widget extends WP_Widget {

    const CATEGORY_WIDGET_DEFAULT_TITLE = 'Featured Category';
    const CATEGORY_WIDGET_DEFAULT_NUM_DISPLAY = '5';
    const CATEGORY_WIDGET_DEFAULT_BG_COLOR =  '#ffffff';
    const CATEGORY_WIDGET_DEFAULT_TITLE_COLOR = '#000000';
    const CATEGORY_WIDGET_DEFAULT_TITLE_SIZE = '0';
    const CATEGORY_WIDGET_DEFAULT_EVENT_TITLE_SIZE = '12';
    const CATEGORY_WIDGET_DEFAULT_EVENT_DATE_SIZE = '11';
    const CATEGORY_WIDGET_DEFAULT_LOGO_POSITION = 'b_right';
    const CATEGORY_WIDGET_DEFAULT_ROUNDED_CORNER_RADIUS = '5';
    
    
    public function __construct() {
        parent::__construct(
            
            // ID of widget
            'goldstar_category_widget',

            // Widget name 
            __( 'Goldstar Category', 'goldstar' ),

            // Widget description
            array( 'description' => __( 'Displays an event feed for a specific category.', 'goldstar' ), )
        );
    }
        
    // Widget Backend 
    public function form( $instance ) {
        ob_start();
        include __DIR__ . '/admin.php';
        $html = ob_get_contents();
        ob_end_clean();
        echo $html;
    }
	
    // Updating widget replacing old instances with new
    public function update( $new_instance, $old_instance ) {
        
        $instance = array();

        // Title
        $instance['title']                  = ! empty( $new_instance['title'] ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['bg_color']               = ! empty( $new_instance['bg_color'] ) ? strip_tags( $new_instance['bg_color'] ) : '';
        $instance['title_color']            = ! empty( $new_instance['title_color'] ) ? strip_tags( $new_instance['title_color'] ) : '';
        $instance['widget_title_font_size'] = ! empty( $new_instance['widget_title_font_size'] ) ? $new_instance['widget_title_font_size'] : '0';

        $instance['category_id']            = ! empty( $new_instance['category_id'] ) ? intval( strip_tags( $new_instance['category_id'] ) ) : 0;
        $instance['num_events']             = ! empty( $new_instance['num_events'] ) ? intval( strip_tags( $new_instance['num_events'] ) ) : '';
        $instance['link']                   = ! empty( $new_instance['link'] ) ? strip_tags( $new_instance['link'] ) : '';
        $instance['event_title_font_size']  = ! empty( $new_instance['event_title_font_size'] ) ? strip_tags( $new_instance['event_title_font_size'] ) : '0';
        $instance['event_title_bold']       = ! empty( $new_instance['event_title_bold'] ) ? 1 : 0;
        $instance['event_date_font_size']   = ! empty( $new_instance['event_date_font_size'] ) ? $new_instance['event_date_font_size'] : '';
        $instance['event_date_color']       = ! empty( $new_instance['event_date_color'] ) ? $new_instance['event_date_color'] : '';
        
        $instance['event_title_color']      = ! empty( $new_instance['event_title_color'] ) ? $new_instance['event_title_color'] : 'inherit';
        $instance['category_widget_title_rounded']        = ! empty( $new_instance['category_widget_title_rounded'] ) ? 1 : 0;
        $instance['category_widget_title_rounded_radius'] = ! empty( $new_instance['category_widget_title_rounded_radius'] ) ? $new_instance['category_widget_title_rounded_radius'] : '';
        
        return $instance;
    }
    
    /**
     * Creating widget front-end
     * This is where the action happens
     */
    public function widget( $args, $instance ) {
        wp_enqueue_style( 'goldstar-widget', plugins_url( 'goldstar/css/widgets.css' ) );

        ob_start();
        include __DIR__ . '/frontend.php';
        $html = ob_get_contents();
        ob_end_clean();
        echo $html;
    }
    
}  

function goldstar_category_load_widget() {
    register_widget( 'Goldstar_Category_Widget' );
}

add_action( 'widgets_init', 'goldstar_category_load_widget' );