<?php
if ( ! $instance['num_events'] ) return false;

$goldstar_options = get_option( 'goldstar_options' );
$arr_featured_events = get_option( 'goldstar_featured_events', '1' );

if ( empty( $arr_featured_events ) ) return false;

$title_class = 'goldstar-widget-title';
$container_class = 'goldstar-widget-container';
$instance_id = $this->id;
$title = $instance['title'];
$category_id = $instance['category_id'];
?>

<?php echo $args['before_widget']; ?>

	<style>
	<?php echo '.' . $container_class . '.' . $instance_id . ' .' . $title_class;  ?>  {
		background-color: <?php echo $instance['bg_color'] ? $instance['bg_color'] : 'none' ?>;
		font-size: <?php echo $instance['widget_title_font_size'] ? $instance['widget_title_font_size'] . 'px !important' : 'inherit'; ?>;
		
		<?php if ( $instance['category_widget_title_rounded'] ) : ?>
			<?php $redius = $instance['category_widget_title_rounded_radius']; ?>
			border-radius: <?php echo $redius; ?>px !important;
			-moz-border-radius: <?php echo $redius; ?>px !important;
			-webkit-border-radius: <?php echo $redius; ?>px !important;
		<?php endif; ?>
	}

	<?php echo '.' . $container_class . '.' . $instance_id . ' .' . $title_class . ' .widget-title';  ?>  {
		color: <?php echo $instance['title_color'] ? $instance['title_color'] : 'inherit'; ?>;
	}
	</style>

	<div class="<?php echo $container_class; ?> <?php echo $instance_id; ?>">
	
	<?php if ( ! empty( $title ) ) : ?>
		<div class="<?php echo $title_class ?>">
			<?php echo $args['before_title'] . $title . $args['after_title']; ?>
		</div>
	<?php endif; ?>

	<?php $logo_position = explode( '_', $goldstar_options['teaser_widget_logo_position'] ); ?>

	<?php if ( isset( $goldstar_options['category_widget_logo_url'] ) && $goldstar_options['category_widget_logo_url'] ) : ?>
		<?php if ( $logo_position[0] == 't' || $logo_position[0] == 'tb') : ?>
			<div style="text-align: <?php echo isset($logo_position[1]) && $logo_position[1] ? $logo_position[1] : 'right' ?>">
				<img src="<?php echo $goldstar_options['category_widget_logo_url'];  ?>" />
			</div>
		<?php endif; ?>
	<?php endif; ?>

	<?php
		$xml = Goldstar_Common::getXmlContentWithTerritory( Goldstar_Common::getCurrentTerritoryId() );

		// Check error form read xml
		if ( isset( $events['error'] ) && $events['error'] === true ) {
			return '';
		}

		/* check choice category or not */
		$goldstar_options = Goldstar_Common::getGoldstarOptions();
		if ( empty( $goldstar_options['category'] ) ) {
			return '';
		}

		$events = $xml->xpath( Goldstar_Common::get_xpath_query(
			array(
				'category' => array( $category_id => $goldstar_options['category'][$category_id] )
			)
		) );

		/* Find list events_id */
		$events_id = array();
		foreach ( $events as $event ) {
			if ( $event && isset( $event['id'] ) ) $events_id[] = (string)$event['id'];
		}

		/* just allow feature in category currently */
		$arr_featured_events = array_intersect( $arr_featured_events, $events_id );
		$arr_featured_events = array_values( $arr_featured_events );

		// foreach usage
		$number_display = intval( $instance['num_events'] );
		$number_feature = sizeof( $arr_featured_events );
	?>
	<ul>
		<?php
		for ( $i = 0, $j=0; $i < $number_feature && $j < $number_display; $i++ ) :

			// Event time
			$arr_event = $xml->xpath( "//event[@id='" . $arr_featured_events[$i] . "']" );

			if ( empty( $arr_event ) ) continue;

			$event = $arr_event[0];
			$title = (string)$event->title_as_text;
			$link = (string)$event->link . '&aff_sub2=wp_listings&creative=wp_widget-category';

			// YYYY-mm-dd
			$arrupcomming_date = $event->xpath( 'upcoming_dates/event_date/date' );

			$time_end = 0;
			$date_string = '';

			if ( isset( $arrupcomming_date[0] ) ) {
				$start_upcomming_date = (string)$arrupcomming_date[0];
				$endupcomming_date = (string)end($arrupcomming_date);

				$date_start_arr = explode('-', $start_upcomming_date);
				$time_start = mktime(0, 0, 0, $date_start_arr[1], $date_start_arr[2], $date_start_arr[0]); // 0 -year, 1 -month, 2 -day
				$date_start_time = date('Y-m-d', $time_start);

				$date_end_arr = explode('-', $endupcomming_date);
				$time_end =  mktime(0, 0, 0, $date_end_arr[1], $date_end_arr[2], $date_end_arr[0]);
				$date_end_time = date('Y-m-d', $time_end);

				if ( $time_start === $time_end ) {
					$date_string = date('M j', $time_start). ','. date(' Y', $time_start);
				}

				else {
					if ( $date_end_arr[0]=== $date_start_arr[0] ) { // savem year
						$date_string = date('M j ', $time_start) .' - '. date('M j', $time_end).','. date(' Y', $time_end);
					}
					else {
						$date_string = date('M j', $time_start) . ','. date(' Y', $time_start) .' - '. date('M j', $time_end). ','. date(' Y', $time_end);
					}
				}
			}

			$today = time();

			if ( $date_string === 'none' || $time_end < $today ) {
				continue;
			}

			$j++;// display one feature

			/* image */
			$image = (string)$event->image;
			// 3264 - issue
			$default_width = 250;
            $default_height = 140;

            if ( preg_match('/\?([^=]+)=/', $image ) ) {
                $image = $image . '&w=' . $default_width . '&h=' . $default_height . '&c=1';
            }
            else {
                $image = $image . '?w=' . $default_width . '&h=' . $default_height . '&c=1';
            }
		
		?>

		<li>
			<div class="widget-event-img-wrapper">
				<span class="widget-event-img-mask">
					<a href="<?php echo $link; ?>"><img src="<?php echo $image; ?>" /></a>
				</span>
			</div>
				
			<div class="widget-event-content-right">
				<span class="widget-event-title">
					<a style="font-weight:<?php echo isset($instance['event_title_bold']) && $instance['event_title_bold'] ? 'bold' : 'normal';  ?>; font-size: <?php echo isset($instance['event_title_font_size']) && $instance['event_title_font_size'] ? $instance['event_title_font_size']. 'px' : 'inherit';  ?>; color: <?php echo isset($instance['event_title_color']) && $instance['event_title_color'] ? $instance['event_title_color'] : '';  ?>;" href="<?php echo $link; ?>"><?php echo $title; ?>
					</a>
				</span>

				<span class="widget-event-date" style="color: <?php echo isset($instance['event_date_color']) && $instance['event_date_color'] ? $instance['event_date_color'] : 'inherit' ?>; font-size: <?php echo isset($instance['event_date_font_size']) && $instance['event_date_font_size'] ? $instance['event_date_font_size']. 'px' : 'inherit' ?>;">
					<?php echo $date_string; ?>
				</span>
			</div>
		</li>
		<?php endfor; ?>
	</ul>

	<?php if ( isset( $goldstar_options['goldstar_slug'] ) && $goldstar_options['goldstar_slug'] && ! empty( $arr_event ) ) : ?>
		<p class="view-more-events"><a href='<?php echo get_site_url(). '/'. $goldstar_options['goldstar_slug'] ?>'>&raquo; View more events</a></p>
	<?php endif; ?>

	<?php if ( isset($goldstar_options['category_widget_logo_url'] ) && $goldstar_options['category_widget_logo_url'] ) : ?>
		<?php if ( $logo_position[0] == 'b' || $logo_position[0] == 'tb' ) : ?>
			<div style="text-align: <?php echo isset($logo_position[1]) && $logo_position[1] ? $logo_position[1] : 'right' ?>">
				<a href="<?php echo $goldstar_options['category_widget_logo_link_to'];  ?>" target="_blank"><img src="<?php echo $goldstar_options['category_widget_logo_url'];  ?>" /></a>
			</div>
		<?php endif; ?>
	<?php endif; ?>

	</div>

<?php echo $args['after_widget']; ?>