<?php

class Goldstar_Teaser_Widget extends WP_Widget {

    const  TEASER_WIDGET_DEFAULT_TITLE = 'Featured Events';
    const  TEASER_WIDGET_DEFAULT_NUM_DISPLAY = '5';
    const  TEASER_WIDGET_DEFAULT_BG_COLOR =  '#ffffff';
    const  TEASER_WIDGET_DEFAULT_TITLE_COLOR = '#000000';
    const  TEASER_WIDGET_DEFAULT_TITLE_SIZE = '#000000';
    const  TEASER_WIDGET_DEFAULT_EVENT_TITLE_SIZE = '12';
    const  TEASER_WIDGET_DEFAULT_EVENT_DATE_SIZE = '11';
    const  TEASER_WIDGET_DEFAULT_LOGO_POSITION = 'b_right';
    const  TEASER_WIDGET_DEFAULT_ROUNDED_CORNER_RADIUS = '5';
    
    
    public function __construct() {
        parent::__construct(
            
            // ID of widget
            'goldstar_teaser_widget',

            // Widget name 
            __('Goldstar Teaser', 'goldstar'),

            // Widget description
            array( 'classname' => 'goldstar-teaser', 'description' => __( 'Displays an event feed for featured events.', 'goldstar' ), )
        );
    }
        
    // Widget Backend 
    public function form( $instance ) {
        ob_start();
        include __DIR__. '/admin.php';
        $html = ob_get_contents();
        ob_end_clean();
        echo $html;
    }
	
    // Updating widget replacing old instances with new
    public function update( $new_instance, $old_instance ) {
        
        $instance = array();

        // Title
        $instance['title']                  = sanitize_text_field( $new_instance['title'] );
        $instance['bg_color']               = isset( $new_instance['bg_color'] ) ? strip_tags( $new_instance['bg_color'] ) : '';
        $instance['title_color']            = isset( $new_instance['title_color'] ) ? strip_tags( $new_instance['title_color'] ) : '';
        $instance['widget_title_font_size'] = isset( $new_instance['widget_title_font_size'] ) ? $new_instance['widget_title_font_size'] : '0';


        $instance['num_events']             = !empty( $new_instance['num_events'] ) ? intval(strip_tags($new_instance['num_events'])) : '';
        $instance['link']                   = !empty( $new_instance['link'] ) ? strip_tags($new_instance['link']) : '';
        $instance['event_title_font_size']  = !empty( $new_instance['event_title_font_size'] ) ? strip_tags($new_instance['event_title_font_size']) : '';
        $instance['event_title_bold']       = !empty( $new_instance['event_title_bold'] ) ? 1 : 0;
        $instance['event_date_font_size']   = !empty( $new_instance['event_date_font_size'] ) ? $new_instance['event_date_font_size'] : '';
        $instance['event_date_color']       = !empty( $new_instance['event_date_color'] ) ? $new_instance['event_date_color'] : '';
        
        $instance['event_title_color']      = !empty( $new_instance['event_title_color'] ) ? $new_instance['event_title_color'] : 'inherit';
        $instance['teaser_widget_title_rounded']        = !empty( $new_instance['teaser_widget_title_rounded'] ) ? 1 : 0;
        $instance['teaser_widget_title_rounded_radius'] = !empty( $new_instance['teaser_widget_title_rounded_radius'] ) ? $new_instance['teaser_widget_title_rounded_radius'] : '';
        
        return $instance;
    }
    
    /**
     * Creating widget front-end
     * This is where the action happens
     */
    public function widget( $args, $instance ) {
        wp_enqueue_style( 'goldstar-widget', plugins_url( 'goldstar/css/widgets.css' ) );

        ob_start();
        include __DIR__. '/frontend.php';
        $html = ob_get_contents();
        ob_end_clean();

        echo $html;
    }
    
}  

function goldstar_teaser_load_widget() {
    register_widget( 'Goldstar_Teaser_Widget' );
}

add_action( 'widgets_init', 'goldstar_teaser_load_widget' );